Bug 865622 - [abrt] lsdvd-0.16-14.fc15: main: Process /usr/bin/lsdvd was killed by signal 11 (SIGSEGV)
[abrt] lsdvd-0.16-14.fc15: main: Process /usr/bin/lsdvd was killed by signal ...
Status: CLOSED WONTFIX
Product: Fedora
Classification: Fedora
Component: lsdvd (Show other bugs)
16
x86_64 Unspecified
unspecified Severity unspecified
: ---
: ---
Assigned To: Matthias Saou
Fedora Extras Quality Assurance
abrt_hash:3632b7864db0eac6581a574b314...
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2012-10-11 18:33 EDT by Bowie Owens
Modified: 2013-02-13 11:33 EST (History)
1 user (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2013-02-13 11:33:53 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
File: backtrace (37.62 KB, text/plain)
2012-10-11 18:33 EDT, Bowie Owens
no flags Details

  None (edit)
Description Bowie Owens 2012-10-11 18:33:18 EDT
libreport version: 2.0.10
abrt_version:   2.0.7
backtrace_rating: 4
cmdline:        lsdvd -xp /dev/sr0
crash_function: main
executable:     /usr/bin/lsdvd
kernel:         3.4.11-1.fc16.x86_64
pid:            1912
pwd:            /home/bowie
time:           Fri 12 Oct 2012 09:25:35 AM EDT
uid:            1000
username:       bowie

backtrace:      Text file, 38527 bytes

build_ids:
:2e4f144d6c8fb2dbb214fdbea0c327b05fa70a78
:6bf5243d79ca7c7189c6027981bffd3031f92f91
:58803db420709341d8e6a713b18e54a6e1824272
:d54ab5a3c6d4c27c7601a6646a03afa4db26b3a4
:e7160fedcf92e2c07f8883f15c71d703b9e7abcb
:f9f4ce7b65b935a858ccbeefd68260e02b44c1ce
:f2e24eed69cdecfdc16ed844c315a295459441ff

dso_list:
:/lib64/libdl-2.14.90.so glibc-2.14.90-24.fc16.9.x86_64 (Fedora Project) 1346977905
:/lib64/libnss_files-2.14.90.so glibc-2.14.90-24.fc16.9.x86_64 (Fedora Project) 1346977905
:/usr/lib64/libdvdread.so.4.1.4 libdvdread-4.1.4-0.4.svn1226.fc16.x86_64 (Fedora Project) 1342297916
:/usr/lib64/libdvdcss.so.2.1.0 libdvdcss2-1.2.11-6.fc16.x86_64 (ATrpms.net) 1350040100
:/lib64/libc-2.14.90.so glibc-2.14.90-24.fc16.9.x86_64 (Fedora Project) 1346977905
:/usr/bin/lsdvd lsdvd-0.16-14.fc15.x86_64 (Fedora Project) 1350040734
:/lib64/ld-2.14.90.so glibc-2.14.90-24.fc16.9.x86_64 (Fedora Project) 1346977905

environ:
:XDG_VTNR=1
:XDG_SESSION_ID=2
:SSH_AGENT_PID=1483
:HOSTNAME=localhost.localdomain
:IMSETTINGS_INTEGRATE_DESKTOP=yes
:GLADE_PIXMAP_PATH=:
:GPG_AGENT_INFO=/home/bowie/.gnupg/S.gpg-agent:1507:1
:XDG_MENU_PREFIX=xfce-
:SHELL=/bin/bash
:TERM=xterm
:XDG_SESSION_COOKIE=91a863c637197435a73bd05400000011-1350047860.570472-397218241
:HISTSIZE=1000
:WINDOWID=48234500
:QTDIR=/usr/lib64/qt-3.3
:GNOME_KEYRING_CONTROL=/tmp/keyring-ccCE5I
:QTINC=/usr/lib64/qt-3.3/include
:IMSETTINGS_MODULE=none
:USER=bowie
:LS_COLORS=rs=0:di=01;34:ln=01;36:mh=00:pi=40;33:so=01;35:do=01;35:bd=40;33;01:cd=40;33;01:or=40;31;01:mi=01;05;37;41:su=37;41:sg=30;43:ca=30;41:tw=30;42:ow=34;42:st=37;44:ex=01;32:*.tar=01;31:*.tgz=01;31:*.arj=01;31:*.taz=01;31:*.lzh=01;31:*.lzma=01;31:*.tlz=01;31:*.txz=01;31:*.zip=01;31:*.z=01;31:*.Z=01;31:*.dz=01;31:*.gz=01;31:*.lz=01;31:*.xz=01;31:*.bz2=01;31:*.tbz=01;31:*.tbz2=01;31:*.bz=01;31:*.tz=01;31:*.deb=01;31:*.rpm=01;31:*.jar=01;31:*.war=01;31:*.ear=01;31:*.sar=01;31:*.rar=01;31:*.ace=01;31:*.zoo=01;31:*.cpio=01;31:*.7z=01;31:*.rz=01;31:*.jpg=01;35:*.jpeg=01;35:*.gif=01;35:*.bmp=01;35:*.pbm=01;35:*.pgm=01;35:*.ppm=01;35:*.tga=01;35:*.xbm=01;35:*.xpm=01;35:*.tif=01;35:*.tiff=01;35:*.png=01;35:*.svg=01;35:*.svgz=01;35:*.mng=01;35:*.pcx=01;35:*.mov=01;35:*.mpg=01;35:*.mpeg=01;35:*.m2v=01;35:*.mkv=01;35:*.ogm=01;35:*.mp4=01;35:*.m4v=01;35:*.mp4v=01;35:*.vob=01;35:*.qt=01;35:*.nuv=01;35:*.wmv=01;35:*.asf=01;35:*.rm=01;35:*.rmvb=01;35:*.flc=01;35:*.avi=01;35:*.fli=01;35:*.flv=01;35:*.gl=01;35:*.dl=01;35:*.xcf=01;35:*.xwd=01;35:*.yuv=01;35:*.cgm=01;35:*.emf=01;35:*.axv=01;35:*.anx=01;35:*.ogv=01;35:*.ogx=01;35:*.aac=01;36:*.au=01;36:*.flac=01;36:*.mid=01;36:*.midi=01;36:*.mka=01;36:*.mp3=01;36:*.mpc=01;36:*.ogg=01;36:*.ra=01;36:*.wav=01;36:*.axa=01;36:*.oga=01;36:*.spx=01;36:*.xspf=01;36:*.pdf=00;33:*.ps=00;33:*.ps.gz=00;33:*.txt=00;33:*.patch=00;33:*.diff=00;33:*.log=00;33:*.tex=00;33:*.xls=00;33:*.xlsx=00;33:*.ppt=00;33:*.pptx=00;33:*.rtf=00;33:*.doc=00;33:*.docx=00;33:*.odt=00;33:*.ods=00;33:*.odp=00;33:*.xml=00;33:*.epub=00;33:*.abw=00;33:*.html=00;33:*.wpd=00;33:
:GLADE_MODULE_PATH=:
:SSH_AUTH_SOCK=/tmp/ssh-tBjhcKUZ1344/agent.1344
:SESSION_MANAGER=local/unix:@/tmp/.ICE-unix/1517,unix/unix:/tmp/.ICE-unix/1517
:USERNAME=bowie
:XDG_CONFIG_DIRS=/etc/xdg
:DESKTOP_SESSION=xfce
:MAIL=/var/spool/mail/bowie
:PATH=/usr/lib64/qt-3.3/bin:/usr/lib64/ccache:/usr/local/bin:/usr/bin:/bin:/usr/local/sbin:/usr/sbin:/sbin:/home/bowie/.local/bin:/home/bowie/bin
:_=/usr/bin/lsdvd
:QT_IM_MODULE=xim
:PWD=/home/bowie
:XMODIFIERS=@im=none
:LANG=en_US.UTF-8
:GNOME_KEYRING_PID=1340
:GDMSESSION=xfce
:HISTCONTROL=ignoredups
:SSH_ASKPASS=/usr/libexec/openssh/gnome-ssh-askpass
:SHLVL=4
:HOME=/home/bowie
:XDG_SEAT=seat0
:LOGNAME=bowie
:QTLIB=/usr/lib64/qt-3.3/lib
:CVS_RSH=ssh
:DBUS_SESSION_BUS_ADDRESS=unix:abstract=/tmp/dbus-DDgNmLd8qm,guid=1f77cfff4987f3013c4f7af400000125
:XDG_DATA_DIRS=/usr/local/share:/usr/share
:'LESSOPEN=||/usr/bin/lesspipe.sh %s'
:WINDOWPATH=1
:DISPLAY=:0.0
:XDG_RUNTIME_DIR=/run/user/bowie
:LIBGLADE_MODULE_PATH=:
:GLADE_CATALOG_PATH=:
:XAUTHORITY=/var/run/gdm/auth-for-bowie-eiVkRM/database
:COLORTERM=Terminal
:CCACHE_HASHDIR=

maps:
:00400000-00405000 r-xp 00000000 08:13 3697468                            /usr/bin/lsdvd
:00604000-00606000 rw-p 00004000 08:13 3697468                            /usr/bin/lsdvd
:00606000-00607000 rw-p 00000000 00:00 0 
:0095c000-0097d000 rw-p 00000000 00:00 0                                  [heap]
:30a5e00000-30a5e22000 r-xp 00000000 08:13 4718621                        /lib64/ld-2.14.90.so
:30a6021000-30a6022000 r--p 00021000 08:13 4718621                        /lib64/ld-2.14.90.so
:30a6022000-30a6023000 rw-p 00022000 08:13 4718621                        /lib64/ld-2.14.90.so
:30a6023000-30a6024000 rw-p 00000000 00:00 0 
:30a6200000-30a63ad000 r-xp 00000000 08:13 4718622                        /lib64/libc-2.14.90.so
:30a63ad000-30a65ad000 ---p 001ad000 08:13 4718622                        /lib64/libc-2.14.90.so
:30a65ad000-30a65b1000 r--p 001ad000 08:13 4718622                        /lib64/libc-2.14.90.so
:30a65b1000-30a65b3000 rw-p 001b1000 08:13 4718622                        /lib64/libc-2.14.90.so
:30a65b3000-30a65b8000 rw-p 00000000 00:00 0 
:30a6a00000-30a6a02000 r-xp 00000000 08:13 4722529                        /lib64/libdl-2.14.90.so
:30a6a02000-30a6c02000 ---p 00002000 08:13 4722529                        /lib64/libdl-2.14.90.so
:30a6c02000-30a6c03000 r--p 00002000 08:13 4722529                        /lib64/libdl-2.14.90.so
:30a6c03000-30a6c04000 rw-p 00003000 08:13 4722529                        /lib64/libdl-2.14.90.so
:7f8a99945000-7f8a99951000 r-xp 00000000 08:13 4718695                    /lib64/libnss_files-2.14.90.so
:7f8a99951000-7f8a99b50000 ---p 0000c000 08:13 4718695                    /lib64/libnss_files-2.14.90.so
:7f8a99b50000-7f8a99b51000 r--p 0000b000 08:13 4718695                    /lib64/libnss_files-2.14.90.so
:7f8a99b51000-7f8a99b52000 rw-p 0000c000 08:13 4718695                    /lib64/libnss_files-2.14.90.so
:7f8a99b52000-7f8a99b5a000 r-xp 00000000 08:13 3670022                    /usr/lib64/libdvdcss.so.2.1.0
:7f8a99b5a000-7f8a99d59000 ---p 00008000 08:13 3670022                    /usr/lib64/libdvdcss.so.2.1.0
:7f8a99d59000-7f8a99d5a000 r--p 00007000 08:13 3670022                    /usr/lib64/libdvdcss.so.2.1.0
:7f8a99d5a000-7f8a99d5b000 rw-p 00008000 08:13 3670022                    /usr/lib64/libdvdcss.so.2.1.0
:7f8a99d5b000-7f8a99d5e000 rw-p 00000000 00:00 0 
:7f8a99d5e000-7f8a99d7a000 r-xp 00000000 08:13 3673285                    /usr/lib64/libdvdread.so.4.1.4
:7f8a99d7a000-7f8a99f7a000 ---p 0001c000 08:13 3673285                    /usr/lib64/libdvdread.so.4.1.4
:7f8a99f7a000-7f8a99f7b000 rw-p 0001c000 08:13 3673285                    /usr/lib64/libdvdread.so.4.1.4
:7f8a99f9a000-7f8a99f9b000 rw-p 00000000 00:00 0 
:7fff3bd5f000-7fff3bd80000 rw-p 00000000 00:00 0                          [stack]
:7fff3bdff000-7fff3be00000 r-xp 00000000 00:00 0                          [vdso]
:ffffffffff600000-ffffffffff601000 r-xp 00000000 00:00 0                  [vsyscall]

smolt_data:
:
:
:General
:=================================
:UUID: 3bb0206b-33dd-46ff-9ae1-5519de48e78b
:OS: Fedora release 16 (Verne)
:Default run level: Unknown
:Language: en_US.UTF-8
:Platform: x86_64
:BogoMIPS: 4788.17
:CPU Vendor: GenuineIntel
:CPU Model: Intel(R) Core(TM)2 Duo CPU     P8600  @ 2.40GHz
:CPU Stepping: 10
:CPU Family: 6
:CPU Model Num: 23
:Number of CPUs: 2
:CPU Speed: 2401
:System Memory: 1956
:System Swap: 0
:Vendor: Dell Inc.
:System: Latitude E6400 
:Form factor: Portable
:Kernel: 3.4.11-1.fc16.x86_64
:SELinux Enabled: 1
:SELinux Policy: targeted
:SELinux Enforce: Enforcing
:MythTV Remote: Unknown
:MythTV Role: Unknown
:MythTV Theme: Unknown
:MythTV Plugin: 
:MythTV Tuner: -1
:
:
:Devices
:=================================
:(32902:10816:4136:563) pci, agpgart-intel, HOST/PCI, Mobile 4 Series Chipset Memory Controller Hub
:(32902:10544:4136:563) pci, i801_smbus, SERIAL, 82801I (ICH9 Family) SMBus Controller
:(32902:10537:4136:563) pci, ahci, STORAGE, ICH9M/M-E SATA AHCI Controller
:(32902:10519:4136:563) pci, None, PCI/ISA, ICH9M-E LPC Interface Controller
:(32902:4341:4136:563) pci, e1000e, ETHERNET, 82567LM Gigabit Network Connection
:(32902:10564:4136:563) pci, pcieport, PCI/PCI, 82801I (ICH9 Family) PCI Express Port 3
:(32902:16946:32902:4897) pci, iwlwifi, NETWORK, WiFi Link 5100 AGN
:(32902:9288:4136:563) pci, None, PCI/PCI, 82801 Mobile PCI Bridge
:(32902:10566:4136:563) pci, pcieport, PCI/PCI, 82801I (ICH9 Family) PCI Express Port 4
:(32902:10549:4136:563) pci, uhci_hcd, USB, 82801I (ICH9 Family) USB UHCI Controller #2
:(32902:10548:4136:563) pci, uhci_hcd, USB, 82801I (ICH9 Family) USB UHCI Controller #1
:(32902:10553:4136:563) pci, uhci_hcd, USB, 82801I (ICH9 Family) USB UHCI Controller #6
:(32902:10550:4136:563) pci, uhci_hcd, USB, 82801I (ICH9 Family) USB UHCI Controller #3
:(4480:2115:4136:563) pci, sdhci-pci, BASE, R5C843 MMC Host Controller
:(4480:2098:4136:563) pci, firewire_ohci, FIREWIRE, R5C832 IEEE 1394 Controller
:(32902:10556:4136:563) pci, ehci_hcd, USB, 82801I (ICH9 Family) USB2 EHCI Controller #2
:(32902:10818:4136:563) pci, i915, VIDEO, Mobile 4 Series Chipset Integrated Graphics Controller
:(32902:10819:4136:563) pci, None, VIDEO, Mobile 4 Series Chipset Integrated Graphics Controller
:(32902:10560:4136:563) pci, pcieport, PCI/PCI, 82801I (ICH9 Family) PCI Express Port 1
:(32902:10562:4136:563) pci, pcieport, PCI/PCI, 82801I (ICH9 Family) PCI Express Port 2
:(32902:10558:4136:563) pci, snd_hda_intel, MULTIMEDIA, 82801I (ICH9 Family) HD Audio Controller
:(32902:10551:4136:563) pci, uhci_hcd, USB, 82801I (ICH9 Family) USB UHCI Controller #4
:(32902:10552:4136:563) pci, uhci_hcd, USB, 82801I (ICH9 Family) USB UHCI Controller #5
:(32902:10554:4136:563) pci, ehci_hcd, USB, 82801I (ICH9 Family) USB2 EHCI Controller #1
:(4480:2082:4136:563) pci, sdhci-pci, BASE, R5C822 SD/SDIO/MMC/MS/MSPro Host Adapter
:
:
:Filesystem Information
:=================================
:device mtpt type bsize frsize blocks bfree bavail file ffree favail
:-------------------------------------------------------------------
:/dev/sdb3 / ext4 4096 4096 19260934 14666707 13688288 4898816 4668062 4668062
:/dev/sdb2 /boot ext4 1024 1024 495844 408789 383189 128016 127785 127785
:

var_log_messages:
:Oct 12 07:18:55 localhost yum[4508]: Installed: lsdvd-0.16-14.fc15.x86_64
:Oct 12 09:24:21 localhost kernel: [  694.440591] lsdvd[1827]: segfault at 0 ip 0000000000400ec0 sp 00007fff4db38430 error 4 in lsdvd[400000+5000]
:Oct 12 09:24:21 localhost abrt[1828]: Saved core dump of pid 1827 (/usr/bin/lsdvd) to /var/spool/abrt/ccpp-2012-10-12-09:24:21-1827 (430080 bytes)
:Oct 12 09:24:37 localhost kernel: [  711.206428] lsdvd[1857]: segfault at 0 ip 0000000000400ec0 sp 00007fff6f3dc600 error 4 in lsdvd[400000+5000]
:Oct 12 09:24:37 localhost abrt[1858]: Not dumping repeating crash in '/usr/bin/lsdvd'
:Oct 12 09:24:55 localhost kernel: [  728.659626] lsdvd[1870]: segfault at 0 ip 0000000000400ec0 sp 00007fff05677100 error 4 in lsdvd[400000+5000]
:Oct 12 09:24:55 localhost abrt[1871]: Saved core dump of pid 1870 (/usr/bin/lsdvd) to /var/spool/abrt/ccpp-2012-10-12-09:24:55-1870 (430080 bytes)
:Oct 12 09:25:35 localhost kernel: [  768.686325] lsdvd[1912]: segfault at 0 ip 0000000000400ec0 sp 00007fff3bd7d4f0 error 4 in lsdvd[400000+5000]
:Oct 12 09:25:35 localhost abrt[1913]: Saved core dump of pid 1912 (/usr/bin/lsdvd) to /var/spool/abrt/ccpp-2012-10-12-09:25:35-1912 (430080 bytes)
Comment 1 Bowie Owens 2012-10-11 18:33:25 EDT
Created attachment 625718 [details]
File: backtrace
Comment 2 Bowie Owens 2012-11-06 22:59:05 EST
I was trying to use lsdvd on one of my DVDs and it crashed with a seg fault. The code follows a null pointer ifo_zero->vts_atrt. The following addition will cause the program to exit with an error report (although it doesn't return a unique error code).

*** lsdvd.c     2006-03-02 08:48:11.000000000 -0500
--- lsdvd.c~    2012-10-12 10:03:07.977239012 -0400
*************** int main(int argc, char *argv[])
*** 288,293 ****
--- 288,298 ----
                return 3;
        }

+       if ( !ifo_zero->vts_atrt ) {
+               fprintf( stderr, "Main ifo is not usable!\n");
+               return 3;
+       }
+
        ifo = (ifo_handle_t **)malloc((ifo_zero->vts_atrt->nr_of_vtss + 1) * sizeof(ifo_handle_t *));

        for (i=1; i <= ifo_zero->vts_atrt->nr_of_vtss; i++) {
Comment 3 Fedora End Of Life 2013-01-16 10:12:12 EST
This message is a reminder that Fedora 16 is nearing its end of life.
Approximately 4 (four) weeks from now Fedora will stop maintaining
and issuing updates for Fedora 16. It is Fedora's policy to close all
bug reports from releases that are no longer maintained. At that time
this bug will be closed as WONTFIX if it remains open with a Fedora 
'version' of '16'.

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, simply change the 'version' 
to a later Fedora version prior to Fedora 16's end of life.

Bug Reporter: Thank you for reporting this issue and we are sorry that 
we may not be able to fix it before Fedora 16 is end of life. If you 
would still like to see this bug fixed and are able to reproduce it 
against a later version of Fedora, you are encouraged to click on 
"Clone This Bug" and open it against that version of Fedora.

Although we aim to fix as many bugs as possible during every release's 
lifetime, sometimes those efforts are overtaken by events. Often a 
more recent Fedora release includes newer upstream software that fixes 
bugs or makes them obsolete.

The process we are following is described here: 
http://fedoraproject.org/wiki/BugZappers/HouseKeeping
Comment 4 Fedora End Of Life 2013-02-13 11:33:55 EST
Fedora 16 changed to end-of-life (EOL) status on 2013-02-12. Fedora 16 is 
no longer maintained, which means that it will not receive any further 
security or bug fix updates. As a result we are closing this bug.

If you can reproduce this bug against a currently maintained version of 
Fedora please feel free to reopen this bug against that version.

Thank you for reporting this bug and we are sorry it could not be fixed.

Note You need to log in before you can comment on or make changes to this bug.